var LOGFILE_NAME = "sr-config.log";
var lWarn = {
	logln : function(o) {
	}
};
var lInfo = {
	logln : function(o) {
	}
};
lInfo = new Logger(LOGFILE_NAME);
lWarn = new Logger(LOGFILE_NAME);

var logPrefix='Mental-Reset - ';


function rentalReset() {
	lInfo.logln(logPrefix + 'start rentalReset');
	if (Property.getNode('entries')==null) {
		Property.setProperty('rental-reset',true);
		return;
	}
	Property.setProperty('rental-reset',false);
	var baseNode = Property.getNode('entries');
	var oArray=baseNode.getChildren();
	for (var iIndex=0;iIndex<oArray.length;iIndex++) {
		if (oArray[iIndex].getChild('technicalRole')!=null)
			if (oArray[iIndex].getChild('technicalRole').getValue()!='system') {
				lInfo.logln(logPrefix + 'found entry ' + oArray[iIndex].getName() + ' with role ' +oArray[iIndex].getChild('technicalRole').getValue());
				baseNode.removeChild(oArray[iIndex].getName());       	        	
	            unregisterTrigger(baseNode.getPath()+ "/" + oArray[iIndex].getName());
			}
	}
	Property.store();
	Property.setProperty('rental-reset',true);
}

if (raisedEvent.name=='addon-reset') 
	if (raisedEvent.parameter.type!=null)
		if (raisedEvent.parameter.type=='rental-reset')
			rentalReset();